CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
csl::Speaker Class Reference

Represents a speaker as a position relative to the center of a space. More...

`#include <SpeakerLayout.h>`

List of all members.

## Public Member Functions
| Speaker (float azimuth, float elevation, float radius=1.0)
| Speaker constructor. The speaker class should only be used by the speaker layout. Clients should modify speakers using the Speaker layout and not deal with speakers directly. The speaker positions have to be specified in (spherical) radians.
| Speaker (float x, float y, float z, float xNorm, float yNorm, float zNorm, float gain=1.0)
| ~Speaker ()
CPoint | position ()
float | azimuth ()
float | elevation ()
float | radius ()
void | setRadius (float radius)
| Specify the distance from the center of the coordinate space to the speaker.
CPoint | normal ()
float | speakerGain ()
void | dump ()
| Print speaker information.

## Protected Attributes
CPoint | mPosition
CPoint | mNormal
float | mGain

## Detailed Description

Represents a speaker as a position relative to the center of a space.

Definition at line 100 of file SpeakerLayout.h.

## Constructor & Destructor Documentation

Speaker::Speaker | ( | float | azimuth,
|  | float | elevation,
|  | float | radius = `1.0`
| ) |  |

Speaker constructor. The speaker class should only be used by the speaker layout. Clients should modify speakers using the Speaker layout and not deal with speakers directly. The speaker positions have to be specified in (spherical) radians.

Definition at line 233 of file SpeakerLayout.cpp.

References kPolar, mGain, mNormal, mPosition, and csl::CPoint::set().

Speaker::Speaker | ( | float | x,
|  | float | y,
|  | float | z,
|  | float | xNorm,
|  | float | yNorm,
|  | float | zNorm,
|  | float | gain = `1.0`
| ) |  |

Definition at line 246 of file SpeakerLayout.cpp.

References mGain, mNormal, mPosition, and csl::CPoint::set().

csl::Speaker::~Speaker | ( |  | ) |
| inline

Definition at line 110 of file SpeakerLayout.h.

## Member Function Documentation

CPoint csl::Speaker::position | ( |  | ) |
| inline

Definition at line 112 of file SpeakerLayout.h.

References mPosition.

Referenced by csl::SpeakerSetLayout::findSpeakerTriplets(), and csl::SpeakerSetLayout::invertTripleMatrix().

float csl::Speaker::azimuth | ( |  | ) |
| inline

Definition at line 113 of file SpeakerLayout.h.

References mPosition, and csl::CPoint::theta().

Referenced by dump(), csl::SpeakerSetLayout::findSpeakerPairs(), and csl::AmbisonicDecoder::makeTransposedReEncodingMatrix().

float csl::Speaker::elevation | ( |  | ) |
| inline

Definition at line 114 of file SpeakerLayout.h.

References csl::CPoint::ele(), and mPosition.

Referenced by dump(), csl::SpeakerSetLayout::findSpeakerPairs(), and csl::AmbisonicDecoder::makeTransposedReEncodingMatrix().

float csl::Speaker::radius | ( |  | ) |
| inline

Definition at line 115 of file SpeakerLayout.h.

References mPosition, and csl::CPoint::r().

Referenced by dump(), and setRadius().

void Speaker::setRadius | ( | float | radius | ) |

Specify the distance from the center of the coordinate space to the speaker.

Definition at line 239 of file SpeakerLayout.cpp.

References mPosition, csl::CPoint::normalize(), and radius().

CPoint csl::Speaker::normal | ( |  | ) |
| inline

Definition at line 118 of file SpeakerLayout.h.

References mNormal.

float csl::Speaker::speakerGain | ( |  | ) |
| inline

Definition at line 119 of file SpeakerLayout.h.

References mGain.

void Speaker::dump | ( | void |  | ) |

Print speaker information.

Definition at line 274 of file SpeakerLayout.cpp.

References azimuth(), CSL_PI, elevation(), and radius().

Referenced by csl::SpeakerSetLayout::findSpeakerPairs().

## Member Data Documentation

CPoint csl::Speaker::mPosition
| protected

Definition at line 124 of file SpeakerLayout.h.

Referenced by azimuth(), elevation(), position(), radius(), setRadius(), and Speaker().

CPoint csl::Speaker::mNormal
| protected

Definition at line 125 of file SpeakerLayout.h.

Referenced by normal(), and Speaker().

float csl::Speaker::mGain
| protected

Definition at line 126 of file SpeakerLayout.h.

Referenced by Speaker(), and speakerGain().

The documentation for this class was generated from the following files:

- CSL/Spatializers/SpeakerLayout.h
- CSL/Spatializers/SpeakerLayout.cpp